## mlt++-0.2.2.tar.gz

=== Makefile ===
all clean distclean install:
	$(MAKE) DESTDIR=$(DESTDIR) -C src $@ 
	$(MAKE) -C test $@
