=== debian/changelog ===
mlt++ (0.2.1-1) unstable; urgency=low

  * Initial release

 -- charlie <charles@vmfx.com>  Fri,  2 Dec 2005 06:25:07 +0100
